%define module    qtawesome
%define pypi_name QtAwesome

Name:           python-%{module}
Version:        1.0.2
Release:        %mkrel 1
Summary:        Iconic fonts in PyQt and PySide applications (Python 2)
Group:          Development/Python
License:        MIT and OFL
URL:            https://github.com/spyder-ide/qtawesome
Source0:        https://github.com/spyder-ide/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
QtAwesome enables iconic fonts such as Font Awesome and Elusive
Icons in PyQt and PySide applications.

#----------------------------------------------------

%package -n     python3-%{module}
Summary:        Iconic fonts in PyQt and PySide applications (Python 3)
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
QtAwesome enables iconic fonts such as Font Awesome and Elusive
Icons in PyQt and PySide applications.

#----------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{_bindir}/qta-browser
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1669583
- new version: 1.0.2 (needed for spyder >=4, mga#28013)

* Sun Feb 16 2020 umeabot <umeabot> 0.5.6-3.mga8
+ Revision: 1532107
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.5.6-2.mga8
+ Revision: 1441571
- rebuild for python3.8
- drop python2 support

* Tue Feb 19 2019 wally <wally> 0.5.6-1.mga7
+ Revision: 1368426
- new version 0.5.6

* Thu Jan 10 2019 shlomif <shlomif> 0.5.5-1.mga7
+ Revision: 1354191
- New version

* Thu Sep 20 2018 umeabot <umeabot> 0.4.4-3.mga7
+ Revision: 1289986
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4.4-2.mga7
+ Revision: 1135599
- Rebuild for python 3.6

* Sun Jan 29 2017 daviddavid <daviddavid> 0.4.4-1.mga6
+ Revision: 1084001
- initial package python-qtawesome

